MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/socket_util.h File Reference

`#include <glib.h>`

Go to the source code of this file.

## Functions
char * | sockaddr_to_string (const struct sockaddr *sa, size_t length, GError **error)
| Converts the specified socket address into a string in the form "IP:PORT".
int | socket_bind_listen (int domain, int type, int protocol, const struct sockaddr *address, size_t address_length, int backlog, GError **error)
| Creates a socket listening on the specified address.

## Function Documentation

char* sockaddr_to_string | ( | const struct sockaddr * | sa,
|  | size_t | length,
|  | GError ** | error
| ) |  |

Converts the specified socket address into a string in the form "IP:PORT".

The return value must be freed with g_free() when you don't need it anymore.

Parameters:

  sa | the sockaddr struct
  length | the length of #sa in bytes
  error | location to store the error occuring, or NULL to ignore errors

int socket_bind_listen | ( | int | domain,
|  | int | type,
|  | int | protocol,
|  | const struct sockaddr * | address,
|  | size_t | address_length,
|  | int | backlog,
|  | GError ** | error
| ) |  |

Creates a socket listening on the specified address.

This is a shortcut for socket(), bind() and listen().

Parameters:

  domain | the socket domain, e.g. PF_INET6
  type | the socket type, e.g. SOCK_STREAM
  protocol | the protocol, usually 0 to let the kernel choose
  address | the address to listen on
  address_length | the size of #address
  backlog | the backlog parameter for the listen() system call
  error | location to store the error occuring, or NULL to ignore errors

Returns:
  the socket file descriptor or -1 on error